🌍 Astrocartography API and ✋ Palmistry API are now live. Ship them in your app today.Get Started

Basic Vimshottari Dasha

The API current_vdasha is returning information about the current Vimshottari Dasha periods according to Vedic astrology. It includes the start and end dates, as well as the ruling planet, for the major, minor, sub-minor, sub-sub-minor, and sub-sub-sub-minor periods.
POSThttps://json.astrologyapi.com/v1/current_vdasha

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en, Hindi - hi, Marathi - ma, Bengali - bn, Tamil - ta, Telugu - te, Malayalam - ml, Kannada - kn.

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

curl --location 'https://json.astrologyapi.com/v1/current_vdasha' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5
}'
Try it

Runs with sample data — no API key needed

{
  "major": {
    "planet": "Sun",
    "planet_id": 0,
    "start": "2-5-2021  8:7",
    "end": "2-5-2027  20:7"
  },
  "minor": {
    "planet": "Saturn",
    "planet_id": 6,
    "start": "8-3-2024  7:13",
    "end": "18-2-2025  6:55"
  },
  "sub_minor": {
    "planet": "Saturn",
    "planet_id": 6,
    "start": "8-3-2024  7:13",
    "end": "2-5-2024  5:46"
  },
  "sub_sub_minor": {
    "planet": "Mercury",
    "planet_id": 3,
    "start": "16-3-2024  23:59",
    "end": "24-3-2024  18:47"
  },
  "sub_sub_sub_minor": {
    "planet": "Moon",
    "planet_id": 1,
    "start": "20-3-2024  5:49",
    "end": "20-3-2024  21:23"
  }
}